:root {
  --base-grid: 8px;
  --colour-body-background: #555;
  --colour-background: #fff;
  --colour-background-folded: #f5f5f5;
  --colour-background-stripes: rgba(255,255,255,.5);
  --colour-text: #1a1a1a;
}

*, :after, :before {
  box-sizing: border-box;
  margin: 0;
}

html {
  height:100%;
}

body {
  background: var(--colour-body-background);
  font-family: Montserrat, sans-serif;
  padding: calc(var(--base-grid)*10);
  height:100%;
}

.articles {
  margin: calc(var(--base-grid)*2) auto calc(var(--base-grid)*5);
  display: grid;
  grid-row-gap: calc(var(--base-grid)*8);
  grid-column-gap: calc(var(--base-grid)*6);
  grid-template-columns: repeat(auto-fit,minmax(calc(var(--base-grid)*35),1fr));
  justify-items: center;
}

.articles__article {
  cursor: pointer;
  display: block;
  position: relative;
  perspective: 1000px;
  animation-name: animateIn;
  animation-duration: .35s;
  animation-delay: calc(var(--animation-order)*100ms);
  animation-fill-mode: both;
  animation-timing-function: ease-in-out;
}

.articles__article:before {
  content: "";
  position: absolute;
  top: calc(var(--base-grid)*-2);
  left: calc(var(--base-grid)*-2);
  border: 2px dashed var(--colour-background);
  background-image: repeating-linear-gradient(-24deg,transparent,transparent 4px,var(--colour-background-stripes) 0, var(--colour-background-stripes) 5px);
  z-index: -1;
}

.articles__article,
.articles__article:before {
  width: calc(var(--base-grid)*35);
  height: calc(var(--base-grid)*35);
}

.articles__link {
  background-color: var(--colour-body-background);
  border: 2px solid var(--colour-background);
  display: block;
  width: 100%;
  height: 100%;
}

.articles__link:after {
  content: "";
  position: absolute;
  top: 50%;
  right: calc(var(--base-grid)*3);
  width: calc(var(--base-grid)*2);
  height: calc(var(--base-grid)*2);
  margin-top: calc(var(--base-grid)*-1);
  clip-path: polygon(75% 0,100% 50%,75% 100%,0 100%,25% 50%,0 0);
  -webkit-clip-path: polygon(75% 0,100% 50%,75% 100%,0 100%,25% 50%,0 0);
  background-color: var(--colour-background);
  opacity: 0;
  transition: opacity .5s ease-in,transform .3s ease-in-out 0ms;
}

.articles__title {
  font-size: calc(var(--base-grid)*4);
  line-height: 1.125;
  font-weight: 700;
  letter-spacing: -.02em;
  text-align:center;
}

.articles__content {
  background-color: var(--colour-background);
  color: var(--colour-text);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  padding: calc(var(--base-grid)*2);
  display: flex;
  flex-direction: column;
  border: 2px solid var(--colour-background);
  background-repeat: no-repeat;
  background-position: center 80%;
}

.articles__content--lhs {
  clip-path: polygon(0 0,51% 0,51% 100%,0 100%);
  -webkit-clip-path: polygon(0 0,51% 0,51% 100%,0 100%);
}

.articles__content--rhs {
  clip-path: polygon(50% 0,100% 0,100% 100%,50% 100%);
  -webkit-clip-path: polygon(50% 0,100% 0,100% 100%,50% 100%);
  transition: transform .5s ease-in-out,background-color .4s ease-in-out;
}

.square .articles__content {
  color:#ef456d;
  background-image:url(img/square.png);
}

.circle .articles__content {
  color:#b081b9;
  background-image:url(img/circle.png);

}

.star .articles__content {
  color:#000000;
  background-image:url(img/star.png);

}

.hexagon .articles__content {
  color:#41ad49;
  background-image:url(img/hexagon.png);
}

.triangle .articles__content {
  color:#00acba;
  background-image:url(img/triangle.png);
}

.articles__footer {
  margin-top: auto;
  font-size: calc(var(--base-grid)*2);
  line-height: calc(var(--base-grid)*2);
  display: flex;
  justify-content: space-between;
}

.articles__link:hover .articles__content--rhs {
  background-color: var(--colour-background-folded);
  transform: rotateY(-50deg);
}

.articles__link:hover:after {
  opacity: 1;
  transform: translateX(calc(var(--base-grid)*1.5));
  transition: opacity .5s ease-in,transform .3s ease-in-out .25s;
}

.wrapper {
  min-height:100%;
  margin-bottom:-30px;

}

.footer,
.push {
  height: 30px;
  text-align: right;
  vertical-align: text-bottom;
  font-family:Montserrat, sans-serif;
  color:#fff;
}

#timer {
  text-align: center;
  font-size: 50px;
  margin-top:-50px;
  font-family:Montserrat,sans-serif;
  font-weight:bold;
  color:#fff;
}

.button::before, .button::after {
  position: absolute;
  content: '';
  -webkit-transition: all .5s;
  transition: all .5s;
}

.button {
  display: inline-block;
  padding: 20px 40px;
  margin-right:10px;
  color: white;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  vertical-align: middle;
  font-family: Montserrat, sans-serif;
  font-weight: bold;
  text-decoration: none;
  font-size: 20px;
  -webkit-transition: all .5s;
  transition: all .5s;
  background-color: #3498db;
}
.button::before {
  bottom: -15px;
  height: 15px;
  width: 100%;
  left: 8px;
  -webkit-transform: skewX(45deg);
          transform: skewX(45deg);
  background-color: #196090;
}
.button::after {
  right: -15px;
  height: 100%;
  width: 15px;
  bottom: -8px;
  -webkit-transform: skewY(45deg);
          transform: skewY(45deg);
  background-color: #124364;
}

.button:hover {
  background-color: #6aa3ca;
}
.button:active {
  background-color: #65727b;
}
